Solid Edge Part Type Library
Profile Property
Description
Returns the Sketch's Profile object.
Property type
Read-only property
Syntax
Visual Basic
Public Property Profile As Object
Example
Imports System.IO
Imports System.Runtime.InteropServices

Module Example
    <STAThread()> _
    Sub Main()

        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPartDocument As SolidEdgePart.PartDocument = Nothing
        Dim objSketchs As SolidEdgePart.Sketchs = Nothing
        Dim objSketch As SolidEdgePart.Sketch = Nothing

        Try
            OleMessageFilter.Register()

            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objPartDocument = objApplication.ActiveDocument
            objSketchs = objPartDocument.Sketches
            objSketch = objSketchs.Item(1)
            objProfile = objSketch.Profile

        Catch ex As Exception
            Console.WriteLine(ex.Message)
        Finally
            OleMessageFilter.Revoke()
        End Try
    End Sub
End Module
See Also

Sketch Object  | Sketch Members  | Solid Edge ST3 - What's New